nibabel (5.3.2-2) unstable; urgency=medium

  * Team upload.
  * Skip test test_legacy_underscore_content on s390x
    (endianness is hardcoded in test)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 01 Dec 2024 14:54:39 +0100

nibabel (5.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.3.2 (Closes: #1088757)
  * Refresh patches
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sun, 01 Dec 2024 00:29:49 +0100

nibabel (5.2.1-2) unstable; urgency=medium

  * drop_deprecated_nisext_for_python3.12_compatibility.patch: unfuzz.
  * pytest-8.patch: new: rename setup and teardown functions.
    Closes: #1071461
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Sat, 25 May 2024 18:18:56 +0200

nibabel (5.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Wed, 28 Feb 2024 13:46:37 +0100

nibabel (5.2.0-3) unstable; urgency=medium

  * Team upload.
  * Drop nisext which is appreciated by upstream to gain Python3.12
    Closes: #1063588
  * Add NEWS.Debian to inform users about dropped nisext
  * Autopkgtest for all supported Python3 versions
  * rename debian/NEWS.Debian debian/NEWS (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 12 Feb 2024 11:09:04 +0100

nibabel (5.2.0-2) unstable; urgency=medium

  * Team upload.
  * remove obsolete dependencies:
    * python3-mock
    * python3-six

 -- Alexandre Detiste <tchet@debian.org>  Wed, 17 Jan 2024 12:29:13 +0100

nibabel (5.2.0-1) unstable; urgency=medium

  * New upstream version.  (Closes: #1058386)
  * d/control: build depends on python3-hatchling.
  * d/clean: new: cleanup build artifacts. (Closes: #1048960)

 -- Étienne Mollier <emollier@debian.org>  Wed, 13 Dec 2023 14:05:04 +0100

nibabel (5.1.0-1) unstable; urgency=medium

  * New upstream version
  * Remove trailing whitespace in debian/changelog (routine-update)
  * d/rules: fix permissions for two scripts without shebang.
    Affected scripts are dicomwrappers.py and test_dicomwrappers.py.
  * d/rules: find and delete stray .gitignore.
    A couple of them landed in the nibabel python3 modules directory.
  * d/s/lintian-overrides: hide test-leaves-python-version-untested.
    The warning chokes on a check that is relevant only for interactive
    use, so no meddling with multiple python versions is expected, or even
    possible.

 -- Étienne Mollier <emollier@debian.org>  Thu, 20 Jul 2023 19:24:07 +0200

nibabel (5.0.0-2) unstable; urgency=medium

  * d/control: add myself to uploaders.
  * skip-armel-test-nan2zero.patch: relax to arm* filtering. (Closes: #1029593)

 -- Étienne Mollier <emollier@debian.org>  Mon, 30 Jan 2023 16:15:52 +0100

nibabel (5.0.0-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: pybuild-plugin-pyproject,
    python3-pytest-httpserver
  * Set PATH for build time tests
  * Test-Depends: python3-pytest-httpserver
  * Restrict autopkgtest to default Python3 version

  [ Nilesh Patra ]
  * Build-Depends: python3-hatch-vcs

  [ Étienne Mollier ]
  * d/t/control: append "@" (i.e. built packages) to test dependencies.
  * skip-test-removalschedule.patch: add; fix autopkgtest failures.
  * skip-armel-test-nan2zero.patch: add; fix ftbfs on armel. (Closes: #1029593)

 -- Étienne Mollier <emollier@debian.org>  Thu, 26 Jan 2023 18:57:50 +0100

nibabel (4.0.2-1) unstable; urgency=medium

  * Team upload.

  [ Lance Lin ]
  * New version (4.0.1)
  * d/control: Bump standards version to 4.6.1
  * d/series: Remove fix for sphinx patch

  [ Étienne Mollier ]
  * New upstream version 4.0.2
  * d/t/run-unit-test: run on all supported python versions.
  * d/{,t/}control: remove dependency to python3-nose. (Closes: #1018422)

 -- Étienne Mollier <emollier@debian.org>  Thu, 08 Dec 2022 21:52:20 +0100

nibabel (3.2.2-2) unstable; urgency=medium

  * Team upload.
  * Add restrictions on allowing stderr (Closes: #1014482)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 12 Jul 2022 19:47:13 +0530

nibabel (3.2.2-1) unstable; urgency=medium

  * Team upload.
  * Fix Python3.10 issue

 -- Andreas Tille <tille@debian.org>  Sun, 20 Feb 2022 10:41:07 +0100

nibabel (3.2.1-3) unstable; urgency=medium

  * Team upload.
  * Drop Build-Depends: python3-bz2file (addresses #987287, #1001201)
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Apply multi-arch hints.
    + python-nibabel-doc: Add Multi-Arch: foreign.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 14 Dec 2021 07:18:18 +0100

nibabel (3.2.1-2) unstable; urgency=medium

  * d/patches
    - 983.patch to include https://github.com/nipy/nibabel/pull/983
      addressing failing test due to mocking  on older systems

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 21 Dec 2020 09:10:02 -0500

nibabel (3.2.1-1) unstable; urgency=medium

  * Fresh upstream release
    - refreshed patches, no changes
  * d/control
    - bring compat level back to 12 - no features of 13 are used AFAIK,
      and it only complicates backporting

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 19 Dec 2020 08:48:49 -0500

nibabel (3.1.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Update Homepage
  * Rules-Requires-Root: no (routine-update)
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.
  * Switch build time test from nose to pytest
    Closes: #964610

  [ Nilesh Patra ]
  * Add manpages
  * Switch autopkgtest to pytest
  * Fix perms of non-executables

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 27 Jul 2020 20:33:51 +0530

nibabel (3.0.1-1) unstable; urgency=medium

  * Team upload.
  * Use python3-pydicom instead of transitional package python2-dicom
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Remove unnecessary 'Testsuite: autopkgtest' header.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Spinx doc checks for exact version matching - remove remaining 'dev'
    in nano-version
  * Build-Depends: python3-pytest <!nocheck>

 -- Andreas Tille <tille@debian.org>  Tue, 03 Mar 2020 14:14:38 +0100

nibabel (2.5.1-3) unstable; urgency=medium

  * Team upload.
  * Take over package in Debian Med team maintenance
  * cme fix dpkg-control
     - Priotity optional instead of extra
     - Drop some unneeded versioned dependencies
     - Formatting
  * Breaks+Replaces: python-nibabel
    Closes: #948372
  * Use default Debian Med repository layout for Git repository

 -- Andreas Tille <tille@debian.org>  Mon, 20 Jan 2020 11:00:59 +0100

nibabel (2.5.1-2) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #937140

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jan 2020 16:52:40 -0500

nibabel (2.5.1-1) unstable; urgency=medium

  * Fresh 2.5.1 release (2.5.x series is the last one to support python2)
  * debian/control
    - boosted policy to 4.4.1
    - Stripped XS- for Testsuite
  * debian/copyright
    - removed obsolete paragraph for no longer included
      doc/sphinxext/autosummary
  * rm debian/patches/lenny-dsc-patch_numpy_testing - no backports for lenny
    were built for years

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 10 Nov 2019 18:09:36 -0500

nibabel (2.5.0-1) unstable; urgency=medium

  * Fresh 2.5.0 release
    - many fixes (including .trk files failing tests on s390)
    - some API deprecations

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 05 Aug 2019 09:52:19 -0400

nibabel (2.4.1-1) experimental; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 28 May 2019 09:35:14 -0400

nibabel (2.4.0-1) experimental; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 02 Apr 2019 09:39:01 -0400

nibabel (2.3.2-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 04 Jan 2019 23:35:50 -0500

nibabel (2.3.1+git51-g1ea7c30f-1) unstable; urgency=medium

  * Fresh upstream snapshot from rel/2.3.2 branch
    https://github.com/nipy/nibabel/pull/708
    - should resolve incompatibilities with recent release of numpy
      causing " cannot set WRITEABLE flag to True ..." (Closes: #917680)
  * debian/control
    + added (build-)depends on python-bz2file (python2 only)
    + build-depend on dh-python
    - remove obsolete X-*-Python fields
    + b-depend on python{3,}-setuptools since used now, and not pulled
      through depends on older Debian/Ubuntus

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 01 Jan 2019 19:53:57 -0500

nibabel (2.3.1-1) unstable; urgency=medium

  * Fresh upstream release
    - should address failures in examples (Closes: #909990)
  * debian/control
    * unify Suggests and Recommends between python{3,}-nibabel pkgs:
      - docs and test helpers are in Suggests, the rest in Recommends

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 17 Oct 2018 23:45:47 -0400

nibabel (2.3.0-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 13 Jun 2018 08:45:41 -0700

nibabel (2.3.0~a1+git235-gc644d808-1) neurodebian-devel; urgency=medium

  * New upstream snapshot from 2.2.1-235-gc644d808 (pre-2.3.0 release)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 04 Jun 2018 09:01:13 -0400

nibabel (2.2.1-2) unstable; urgency=medium

  * debian/control
    - Explicitly depend on python{,3}-six module (Closes: #896275)
    - Adjusted VCS- fields to point to salsa
    - Boosted debhelper compat to 9
    - use python3:Depends for python3- pkg

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 23 Apr 2018 20:35:21 -0400

nibabel (2.2.1-1) unstable; urgency=medium

  * Fresh upstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 22 Nov 2017 23:01:06 -0500

nibabel (2.2.0+git11-g2139ce0d-1) unstable; urgency=medium

  * New upstream snapshot from 2.2.0-11-g2139ce0d
    - closes some outstanding issues and compatibility problems (Closes:
      #880234)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 07 Nov 2017 16:43:21 -0500

nibabel (2.2.0-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 13 Oct 2017 20:26:14 -0400

nibabel (2.1.0-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control
    - python-numpydoc into build-depends
    - boosted policy to 3.9.8
    - python{,3}-mock to Build-Depends/Recommends for tests
  * debian/rules
    - use installed scripts (with corrected shebang) while generating manpages
    - export MPLCONFIGDIR to point to writable local directory

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 26 Aug 2016 22:41:53 -0400

nibabel (2.0.2-2) unstable; urgency=medium

  * debian/tests/control: needs python3-nibabel for testing itself

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 30 Nov 2015 09:28:09 -0500

nibabel (2.0.2-1) unstable; urgency=medium

  * Fresh upstream bugfix release
  * debian/tests - provided ADT tests based on RFed to be used without
    modifications runner from patsy

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 23 Nov 2015 19:17:48 -0500

nibabel (2.0.1-3) unstable; urgency=medium

  * debian/patches
    - changeset_ea65e90a97fc8c9929b6a93d6c5657111489573b.diff
      cherry-picked from upstream to resolve issues with Python 3.5 doctest
      machinery which lead to FTBFS whenever optional pydicom wasn't avail
      (Closes: #802408)
    - deb_localmathjax
      to use locally available mathjax

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 02 Nov 2015 11:08:23 -0500

nibabel (2.0.1-2) unstable; urgency=medium

  * Remove installed scripts before running install again.  Should
    really close #784697

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 24 Aug 2015 21:40:38 -0400

nibabel (2.0.1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/rules
    - First install for python3 and then for python2 to get correct
      shebang in nib-ls (Closes: #784697)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 28 Jun 2015 01:06:52 -0400

nibabel (2.0.0-1) experimental; urgency=medium

  * New upstream release with lots of cool new features, which has minor
    API breakage
  * debian/watch
    - fixed up for github
  * debian/control
    - build-depend and depend for -doc package on mathjax.  There is nothing
      else we could do to make sphinx generate docs to use system-wide avail
      mathjax
    - policy boost to 3.9.6

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 09 Dec 2014 18:42:38 -0500

nibabel (1.3.0+git476-g3ca7b94-1) neurodebian-devel; urgency=medium

  * New snapshot from 1.3.0-466-g27e4feb in preparation to new upstream
    release.
  * debian/control
    - added python-six and python-matplotlib (for documentation) to
      build-depends
  * debian/{control,rules}
    - drop pysupport in favor of dh*_python
    - add python3-nibabel

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 05 Aug 2014 14:08:14 -0400

nibabel (1.3.0-2) sid; urgency=medium

  * Upload to sid (the freeze is long over ;))
  * debian/control
    - boosted policy to 3.9.5

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 20 Mar 2014 21:08:09 -0400

nibabel (1.3.0-1) experimental; urgency=low

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 11 Sep 2012 18:04:46 -0400

nibabel (1.2.2-1) unstable; urgency=low

  * New upstream bugfix release
    - addresses import and test failures on power7 (powerpc) causing FTBFS of
      nipy.

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 27 Jun 2012 14:52:08 -0400

nibabel (1.2.1-1) unstable; urgency=low

  * New upstream bugfix release
    - new tools (nib-dicomfs, nib-nifti-dx)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 14 Jun 2012 00:15:09 -0400

nibabel (1.2.0-1) unstable; urgency=low

  * New upstream release: bugfixes, support for new formats
    (Freesurfer, ECAT, etc), nib-ls tool.
  * debian/copyright
    - corrected reference to the format specs
    - points to github's repository as the origin of sources
    - removed lightunit license/copyright -- removed upstream
    - added netcdf module license/copyright terms
  * debian/control
    - added python-fuse to Recommends and Build-Depends for dicomfs
    - boosted policy compliance to 3.9.3 (no further changes)
  * debian/watch
    - adjusted to download numbered tag

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 06 May 2012 12:58:22 -0400

nibabel (1.1.0-1) unstable; urgency=low

  * New upstream release: better gifti and trackvis support, bugfixes.

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 04 May 2011 16:44:55 -0400

nibabel (1.0.2-1) unstable; urgency=low

  * Fresh bugfix upstream release
  * debian/copyright:
    - changes to confirm to DEP5 rev 174
    - added myself
    - updated years
  * debian/control:
    - boosted policy compliance to 3.9.2 (no changes)
    - purged DM-Upload-Allowed (no need any more)
    - slight tune up of the long description

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 28 Apr 2011 10:27:22 -0400

nibabel (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #600275).

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 15 Oct 2010 08:20:14 -0400
